### Enumeration

# Gio OutputStreamSpliceFlags

#### Declaration

    flags Gio.OutputStreamSpliceFlags

#### Description

GOutputStreamSpliceFlags determine how streams should be spliced.

#### Members

`G_OUTPUT_STREAM_SPLICE_NONE`

  Do not close either stream.

  - Value: `0`
  - Available since: 2.0
`G_OUTPUT_STREAM_SPLICE_CLOSE_SOURCE`

  Close the source stream after the splice.

  - Value: `1`
  - Available since: 2.0
`G_OUTPUT_STREAM_SPLICE_CLOSE_TARGET`

  Close the target stream after the splice.

  - Value: `2`
  - Available since: 2.0